Package javax.help

# Class BackAction

java.lang.Object
javax.help.AbstractHelpAction
javax.help.BackAction

All Implemented Interfaces:
  `MouseListener`, `EventListener`, `HelpHistoryModelListener`, `HelpAction`

public class BackAction extends AbstractHelpAction implements MouseListener, HelpHistoryModelListener

## Constructor Summary

Constructors
Constructor
Description
`BackAction(Object control)`
Creates new BackAction

## Method Summary

Modifier and Type
Method
Description
`void`
`historyChanged(HelpHistoryModelEvent e)`
Tells the listener that the history has changed.
`void`
`mouseClicked(MouseEvent e)`
Invoked when the mouse has been clicked on a component.
`void`
`mouseEntered(MouseEvent e)`
Invoked when the mouse enters a component.
`void`
`mouseExited(MouseEvent e)`
Invoked when the mouse exits a component.
`void`
`mousePressed(MouseEvent e)`
Invoked when a mouse button has been pressed on a component.
`void`
`mouseReleased(MouseEvent e)`
Invoked when a mouse button has been released on a component.

### Methods inherited from class javax.help.AbstractHelpAction

`addPropertyChangeListener, firePropertyChange, getControl, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BackAction

public BackAction(Object control)
Creates new BackAction

## Method Details

### mouseExited

public void mouseExited(MouseEvent e)
Invoked when the mouse exits a component.

Specified by:
  `mouseExited` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)
Invoked when a mouse button has been released on a component.

Specified by:
  `mouseReleased` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)
Invoked when a mouse button has been pressed on a component.

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseClicked

public void mouseClicked(MouseEvent e)
Invoked when the mouse has been clicked on a component.

Specified by:
  `mouseClicked` in interface `MouseListener`

### mouseEntered

public void mouseEntered(MouseEvent e)
Invoked when the mouse enters a component.

Specified by:
  `mouseEntered` in interface `MouseListener`

### historyChanged

public void historyChanged(HelpHistoryModelEvent e)
Tells the listener that the history has changed. Will enable/disable the Action depending on the events previous flag

Specified by:
  `historyChanged` in interface `HelpHistoryModelListener`
Parameters:
  `e` - The HelpHistoryModelEvent